/**
 * ajustes bootstrap/layout
 */
body, html {
	height: 100%;
	margin: 0;
	padding: 0;
}

body {
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;

	min-height: 100vh;
}

.container {
	max-width: 1114px;

	
}

.form-control,
.form-select {
	text-align: left !important;
}

.panel {
	box-shadow: 1px 5px 22px -2px rgba(0, 0, 0, 0.45);
	border-radius: 8px;
	background-color: #1c212c;
	padding: 30px 30px;
}

input[type="checkbox"] {
	height: 25px;
	width: 3em !important;
	margin-left: -3.5em !important;
	border-radius: .55em !important;
	position: relative;
	top: -4px;
}

/**
 * popup
 */
.popup-action-bar {
	visibility: hidden;
	position: absolute;
	top: -40px;
	left: 50%;
	transform: translate(-50%, 0);
}
.popup-action-bar.open {
	visibility: visible;
}
.button-fixed .popup-action-bar {
	display: none;
}

.popup-colors-bar {
	visibility: hidden;
	position: absolute;
	top: 30px;
	left: 50%;
	transform: translate(-50%, 0);
	background: #495057;
	padding: 6px;
	border-radius: 5px;
	border: 1px #495057 solid;
	font-size: 0px;
}
.popup-colors-bar.open {
	visibility: visible;
}

.popup-colors-bar .minicolors {

}

.popup-colors-bar .minicolors .minicolors-panel {
	background-color: transparent;

}

.popup-colors-bar .minicolors .minicolors-swatches {
	margin-top: 10px;
	margin-bottom: 0px;
}

.popup-colors-bar .minicolors .minicolors-swatch {
	margin-bottom: 5px;
	width: 22px;
  	height: 21px;
}

.popup-colors-bar .minicolors .minicolors-swatch:nth-child(7),
.popup-colors-bar .minicolors .minicolors-swatch:nth-child(14) {
	margin-right: auto;
}

.popup-colors-bar .minicolors .minicolors-slider {
	margin-left: 6px;
}

.popup-colors-bar .minicolors .minicolors-panel {
	width: 179px;
}

.popup-colors-bar .popup-colors-bar-input {
	height: 25px;
	margin-bottom: 7px;
	font-weight: 700;
	letter-spacing: 1px;
	text-transform: uppercase;
	text-align: center !important;
}
.popup-colors-bar .popup-colors-bar-input:focus {
	border-color: transparent !important;
	box-shadow: none !important;
}


/**
 * color picker
 
.cp-alpha {
	display: none !important;
}
.cp-xy-slider,
.cp-z-slider {
	float: left !important;
}
.cp-color-picker {
	min-width: 345px !important;
}

.cp-custom-area {
	float: right;
	height: 128px;
	width: 170px;
	margin-left: 7px;
	padding: 6px 0;
}

.cp-custom-presets {
	
}
.cp-custom-preset {
	width: 25px;
	height: 25px;
	display: inline-block;
	background: white;
	border-radius: 4px;
	margin: 3px;
}
.cp-custom-area hr {
	margin: 10px 0;
}


.cp-preset-1 {
	background-color: #faedcb;
}
.cp-preset-2 {
	background-color: #c9e4de;
}
.cp-preset-3 {
	background-color: #c6def1;
}
.cp-preset-4 {
	background-color: #dbcdf0;
}
.cp-preset-5 {
	background-color: #f2c6de;
}
.cp-preset-6 {
	background-color: #fcd05c;
}
.cp-preset-7 {
	background-color: #5fe2c5;
}
.cp-preset-8 {
	background-color: #4498db;
}
.cp-preset-9 {
	background-color: #9863e7;
}
.cp-preset-10 {
	background-color: #e43a96;
}
*/

/* 
@font-face{
	font-family:MinecraftRegular;
	src:url(./../fonts/MinecraftRegular.otf);
	font-display:swap
}
@font-face{
	font-family:MinecraftBold;
	src:url(./../fonts/MinecraftBold.otf);
	font-display:swap
}
@font-face{
	font-family:MinecraftItalic;
	src:url(./../fonts/MinecraftItalic.otf);
	font-display:swap
}
@font-face{
	font-family:MinecraftBoldItalic;
	src:url(./../fonts/MinecraftBoldItalic.otf);
	font-display:swap
}
@font-face{
	font-family:MinecraftRus;
	src:url(./../fonts/MinecraftRus.ttf);
	font-display:swap
} */



/**
 * fonts
 */
@font-face{
	font-family: Minecraft;
	src:url(./../fonts/MinecraftRegular.otf);
	font-display: swap;
	font-weight: 400;
	font-style: normal;
}
@font-face{
	font-family: Minecraft;
	src:url(./../fonts/MinecraftBold.otf);
	font-display: swap;
	font-weight: bold;
	font-style: normal;
}
@font-face{
	font-family: Minecraft;
	src:url(./../fonts/MinecraftItalic.otf);
	font-display: swap;
	font-style: italic;
	font-weight: 400;

}
@font-face{
	font-family: Minecraft;
	src:url(./../fonts/MinecraftBoldItalic.otf);
	font-display: swap;
	font-style: italic;
	font-weight: bold;
}


/**
 * preview area
 */
.f-result {
	font-family: Minecraft;
	font-size: 2.5rem;
}

#f_command {
	cursor: pointer;
}

/* .f-result-bold {
	font-family:MinecraftBold,MinecraftRus;
	font-weight:700
}
.f-result-italic {
	font-family:MinecraftItalic,MinecraftRus;
	font-style:italic
}
.f-result-bold-italic {
	font-family:MinecraftBoldItalic,MinecraftRus;
	font-style:italic;
	font-weight:700
} */

/**
 * range bar
 */
.ranger {

}
.ranger .bar {
	position: relative;
	width: 100%;
	height: 12px;
	background-color: #fff;
}
.ranger .bar .button {
	position: absolute;
	width: 22px;
	height: 22px;
	background: red;
	border-radius: 4px;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	cursor: pointer;
	z-index: 10;
	box-shadow: 0px 0px 3px 0px #000;
}
.ranger .bar .popup {
	position: absolute;
	width: 200px;
	height: 200px;
	background: #fff;
	top: 30px;
	left: 50%;
	transform: translate(-50%, 0);
}
